Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri
Class Constants

    java.lang.Object
      dioscuri.Constants

    public final class Constants

extends java.lang.Object

A class with system wide constants.

Author:
  Bram Lohman, Bart Kiers

Field Summary
`static java.lang.String` | `BOCHS_BIOS` the absolute path of the bios image file
`static java.lang.String` | `CONFIG_DIR` the absolute path of the config folder
`static java.lang.String` | `DEFAULT_CONFIG_XML` the absolute path of the default config xml file
`static java.lang.String` | `EMULATOR_CREATOR` institutions participating (or participated) in the development of Dioscuri
`static java.lang.String` | `EMULATOR_DATE` the release date (`MMMM, YYYY`)
`static java.lang.String` | `EMULATOR_ICON_IMAGE` the absolute path of Dioscuri's icon
`static java.lang.String` | `EMULATOR_LOGGING_PROPERTIES` the absolute path of the logging properties file
`static java.lang.String` | `EMULATOR_NAME` the name of Dioscuri
`static java.lang.String` | `EMULATOR_SPLASHSCREEN_IMAGE` the absolute path of the splash screen image
`static java.lang.String` | `EMULATOR_VERSION` the version of Dioscuri
`static java.io.File` | `EXE_FOLDER` the root folder of the application (`JAR_OR_FOLDER.isFile() ? JAR_OR_FOLDER.getParentFile() : JAR_OR_FOLDER`)
`static java.io.File` | `JAR_OR_FOLDER` represents the parent directory of the executed GUI.class or the File ascociated with Dioscuri-X-X.jar
`static java.lang.String` | `VGA_BIOS` the absolute path of the vga bios image file

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAR_OR_FOLDER

    public static final java.io.File JAR_OR_FOLDER

  represents the parent directory of the executed GUI.class or the File ascociated with Dioscuri-X-X.jar

### EXE_FOLDER

    public static final java.io.File EXE_FOLDER

  the root folder of the application (`JAR_OR_FOLDER.isFile() ? JAR_OR_FOLDER.getParentFile() : JAR_OR_FOLDER`)

### EMULATOR_NAME

    public static final java.lang.String EMULATOR_NAME

  the name of Dioscuri

  See Also:
    Constant Field Values

### EMULATOR_VERSION

    public static final java.lang.String EMULATOR_VERSION

  the version of Dioscuri

  See Also:
    Constant Field Values

### EMULATOR_DATE

    public static final java.lang.String EMULATOR_DATE

  the release date (`MMMM, YYYY`)

  See Also:
    Constant Field Values

### EMULATOR_CREATOR

    public static final java.lang.String EMULATOR_CREATOR

  institutions participating (or participated) in the development of Dioscuri

  See Also:
    Constant Field Values

### CONFIG_DIR

    public static final java.lang.String CONFIG_DIR

  the absolute path of the config folder

### EMULATOR_ICON_IMAGE

    public static final java.lang.String EMULATOR_ICON_IMAGE

  the absolute path of Dioscuri's icon

### EMULATOR_SPLASHSCREEN_IMAGE

    public static final java.lang.String EMULATOR_SPLASHSCREEN_IMAGE

  the absolute path of the splash screen image

### EMULATOR_LOGGING_PROPERTIES

    public static final java.lang.String EMULATOR_LOGGING_PROPERTIES

  the absolute path of the logging properties file

### DEFAULT_CONFIG_XML

    public static final java.lang.String DEFAULT_CONFIG_XML

  the absolute path of the default config xml file

### BOCHS_BIOS

    public static final java.lang.String BOCHS_BIOS

  the absolute path of the bios image file

### VGA_BIOS

    public static final java.lang.String VGA_BIOS

  the absolute path of the vga bios image file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD